Bug 483753 - Add failover exchange support for the java client
Add failover exchange support for the java client
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.3
: ---
Assigned To: Rajith Attapattu
Jiri Kolar
:
: 477621 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 09:21 EST by Rajith Attapattu
Modified: 2010-10-14 12:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A failover exchange support has been added, allowing a JMS client to subscribe to the failover exchange, retrieve cluster membership information, and receive updates.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2009-02-03 09:21:49 EST
Add support to the java client to subscribe to the failover exchange to obtain info on the cluster membership
Comment 1 Rajith Attapattu 2009-02-09 17:26:28 EST
Support for this is added in upstream and commited at rev 742260 on Qpid trunk
This is tracked by https://issues.apache.org/jira/browse/QPID-1649 in upstream.
Comment 2 Rajith Attapattu 2009-02-09 17:34:02 EST
*** Bug 477621 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Kolar 2010-03-16 07:04:55 EDT
Could you please provide some reporducer or steps to reporduce? Thanks
Comment 4 Rajith Attapattu 2010-03-17 12:50:24 EDT
How to test
=============
In order to use the failover exchange you need to specify it as the failover mechanism in the connection URL.
Ex.
amqp://guest:guest@clientid/testpath?brokerlist='tcp://localhost:5672?'&failover='failover_exchange'

1. Start a broker cluster.
2. Start a JMS client that producers or consumes continuously.
3. kill the first broker and then verify the client connects to another broker.
4. You could keep on killing the connected broker and the client will connect to any other available broker.
Comment 5 Jiri Kolar 2010-03-25 08:31:10 EDT
Tested:
on -2 bug does not appear and on 1.2 also not. Last packages that i was able to reproduce it were 0.4.738568-1. 

validated on packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u

openais-0.80.6-16.el5
openais-debuginfo-0.80.6-16.el5
python-qpid-0.7.917557-4.el5
qpid-cpp-client-0.7.916826-2.el5
qpid-cpp-client-devel-0.7.916826-2.el5
qpid-cpp-client-rdma-0.7.916826-2.el5
qpid-cpp-client-ssl-0.7.916826-2.el5
qpid-cpp-mrg-debuginfo-0.7.916826-2.el5
qpid-cpp-server-0.7.916826-2.el5
qpid-cpp-server-cluster-0.7.916826-2.el5
qpid-cpp-server-devel-0.7.916826-2.el5
qpid-cpp-server-rdma-0.7.916826-2.el5
qpid-cpp-server-ssl-0.7.916826-2.el5
qpid-cpp-server-store-0.7.916826-2.el5
qpid-cpp-server-xml-0.7.916826-2.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-client-0.7.918215-1.el5
qpid-java-common-0.7.918215-1.el5
qpid-tools-0.7.917557-4.el5


->VERIFIED
Comment 6 Jiri Kolar 2010-04-09 09:43:28 EDT
validated on RHEL  5.5 x86_64 only  because of lack of those old packages for
other systems/archs
Comment 7 Jiri Kolar 2010-04-14 04:21:08 EDT
To make it clear I reproduced on RHEL  5.5 x86_64 only but validated on  5.5
i386 / x86_64  and RHEL  4.8 i386 / x86_64
Comment 8 Rajith Attapattu 2010-10-07 14:13:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This allows a JMS client to subscribe to the failover exchange to retrieve cluster membership information and subsequently to receive updates.
Comment 9 Jaromir Hradilek 2010-10-13 11:43:23 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-This allows a JMS client to subscribe to the failover exchange to retrieve cluster membership information and subsequently to receive updates.+A failover exchange support has been added, allowing a JMS client to subscribe to the failover exchange, retrieve cluster membership information, and receive updates.
Comment 11 errata-xmlrpc 2010-10-14 12:01:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.